﻿using ThinkGeo.MapSuite.Core;

namespace KMLLayer
{
    public class KmlFeatureLayer : FeatureLayer
    {
        public KmlFeatureLayer()
            : this(string.Empty)
        { }

        public KmlFeatureLayer(string kmlFilePath)
            : base()
        {
            FeatureSource = new KMLFeatureSource(kmlFilePath);
            this.KmlFilePath = kmlFilePath;
        }

        public string KmlFilePath
        { get; set; }
    }
}
